% This is the config file for a specific EIV psuedo-proxy reconstruction 
% Gavin Schmidt (Jan 2011) (source from Zhang/Mann/Miller/Rutherford)

EXP='gkss_104';   % name for specifc experiment defined by options below.

% Set options:

% Target temperature record filename and time constraints
% Can be NH/SH/GL CRU/HAD/GISTEMP or GCM 
% (format "year ann_temp_anom" or just the anomalies)
% needs relative path name from code/ directory

targd='../data/pseudo/';
targ=strcat(targd,'nh_gkss');

targt = load(targ);

startyr=1001;                     % start year for temp 

targmin=1856;                     % start year for target/calibration interval
targmax=1980;                     % end year for target (inclusive)

runmax =1980;                     % end point for reconstruction

% Is reconstruction local to hemisphere or can it use input from both?
%  ='gl' for global input, 'nh' for N. Hemi., 'sh' for S. Hemi

hemilocal='gl';     % not used for pseudo-proxies 

% Source data: Either real proxies or pseudo-proxies

% For pseudo-proxies, need directory and proxynorm file.

datap='../data/pseudo/';
dataf=strcat(datap,'gkssproxynorm_104red');  % GKSS, 104 proxies, red noise

proxynorm=load(dataf);

% set date parameters that describe pseudo-proxy matrix
proxystart=1001;

% other options

